using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MapApp.Ui.Controls
{
    public partial class FrmOptions : AppFormBase
    {
        public FrmOptions()
        {
            InitializeComponent();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        private void chkScaleBar_CheckStateChanged(object sender, EventArgs e)
        {
            bool visible = chkScaleBar.CheckState == CheckState.Checked;
            AppUi.Map.SetScaleBarVisible(visible);
        }

        private void chkOverviewMap_CheckedChanged(object sender, EventArgs e)
        {
            bool visible = chkOverviewMap.CheckState == CheckState.Checked;
            AppUi.Map.SetOverviewMapVisible(visible);
        }


    }
}